PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List channels GETCreate a channel POSTGet a channel GETUpdate a channel PATCHList channel messages GETCreate a message POSTUpdate a message PATCHDelete a message DELETE
Chats

Delete a message

DELETE
/messages/{messageId}

Authorization

x-api-key<token>

In: header

Path Parameters

messageId*string

Response Body

application/json

curl -X DELETE "https://example.com/messages/string"
{  "data": {    "id": "string",    "workspaceId": "string",    "channelId": "string",    "body": "string",    "authorNameSnapshot": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "editedAt": "2019-08-24T14:15:22Z"  }}

Update a message PATCH

Previous Page

List an embed user's projects GET

Returns non-archived projects owned by the host-site user, with each project's statuses. Requires `EMBED_WRITE`. An unknown `externalUserId` returns an empty list and `embedUser: null`. Creating a task still uses `POST /projects/{projectId}/tasks` and `TASKS_WRITE`.